Author Topic: adding a "foot" mark (')  (Read 4317 times)

0 Members and 1 Guest are viewing this topic.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: adding a "foot" mark (')
« Reply #15 on: December 06, 2006, 06:07:53 PM »
If you want to create an angular child dim style for the current style you can use this one.  Change all you want, it is a modified version of my create leader routine.
Code: [Select]
(defun c:MakeAngularChild (/ ndim ocmd dimsc)
;| Makes a child angular style
   for the current dim style
|;

(command "_.undo" "_end")
(command "_.undo" "_group")
(setq ocmd (getvar "cmdecho")) (setvar "cmdecho" 0)
(setq ndim (strcat (getvar "dimstyle") "$2"))
(setq dimsc (cdr (assoc 40 (entget (tblobjname "dimstyle" (getvar "dimstyle"))))))
(if (not (tblsearch "dimstyle" ndim))
 (progn
  (entmake
   (list
    '(0 . "DIMSTYLE")
    '(100 . "AcDbSymbolTableRecord")
    '(100 . "AcDbDimStyleTableRecord")
    (cons 2 ndim)
    '(70 . 0)
    '(4 . "DIMASO")
    (cons 40
     (if dimsc
      dimsc
      0.0
     )
    )
    '(41 . 0.125)
    '(43 . 0.0625)
    '(44 . 0.0625)
    '(46 . 0.0625)
    '(73 . 0)
    '(74 . 0)
    '(78 . 12)
    '(140 . 0.125)
    '(141 . 0.0)
    '(147 . 0.0625)
    '(172 . 1)
    '(271 . 2)
    '(272 . 2)
    '(279 . 2)
   )
  )
  (prompt (strcat "\n \"" (getvar "dimstyle") "\" angular style created successfully."))
 )
 (prompt "\n Angular style for current dimstyle already exist.")
)
(command "_.undo" "_end")
(setvar "cmdecho" ocmd)
(princ)
)
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Birdy

  • Guest
Re: adding a "foot" mark (')
« Reply #16 on: December 06, 2006, 07:21:34 PM »
Got it:
1. Take parent dimension, with no suffix, set it current,  create an override. (This is greyed out if the dimstyle isnt current)
In the <style overrides>, modify to add the suffix.

2. Select the parent, click "NEW"  and use for: "angular dimensions."  This will inherit the parent suffix, as you know, so make sure it is off. (see my earlier post, except note I had highlighted the child D1:Angular)
.
[create additional child dimensions as you wish... I did for radial dims]
.
3. Right-click the <style overrides> and select "save to current style"
This will put the suffix back to the parent, without propagating to the angular child.
IIRC, this is how I accomplished this in '04 and have been using it ever since.  :laugh:
We use "fractional" units in inches, but should be the same for any suffix.



Dinosaur

  • Guest
Re: adding a "foot" mark (')
« Reply #17 on: December 06, 2006, 07:28:30 PM »
Amazing  . . . and finally a use for those flipping dimstyle overrides that deviled me with Land Desktop besides!  Thanks Birdie.

Birdy

  • Guest
Re: adding a "foot" mark (')
« Reply #18 on: December 06, 2006, 07:32:27 PM »
No sweat.
(sorry, got a little crazy with the snagit graphics.)

sinc

  • Guest
Re: adding a "foot" mark (')
« Reply #19 on: December 06, 2006, 08:21:54 PM »
Got it:
1. Take parent dimension, with no suffix, set it current,  create an override. (This is greyed out if the dimstyle isnt current)
In the <style overrides>, modify to add the suffix.

2. Select the parent, click "NEW"  and use for: "angular dimensions."  This will inherit the parent suffix, as you know, so make sure it is off. (see my earlier post, except note I had highlighted the child D1:Angular)
.
[create additional child dimensions as you wish... I did for radial dims]
.
3. Right-click the <style overrides> and select "save to current style"
This will put the suffix back to the parent, without propagating to the angular child.
IIRC, this is how I accomplished this in '04 and have been using it ever since.  :laugh:
We use "fractional" units in inches, but should be the same for any suffix.


Hey, why didn't you post that a few hours ago?   :-D

After discovering these substyles, I went ahead and fixed our Land Desktop templates.  But to get around the problem, I left the suffix blank in the base style.  That meant I had to create substyles for all the dims that needed the suffix.  It works, but it creates an awful lot of styles in the Dimstyle Manager, since those things can't be collapsed...

Birdy

  • Guest
Re: adding a "foot" mark (')
« Reply #20 on: December 07, 2006, 08:41:26 AM »
Sorry sinc.
The reason I didnt post it a few hours ago, was: 
It took me those few hours to figure out what I did those few years ago. :-(

As for the dimstyle manager, I never access it any more, since our dimstyles are set and done.
Further, we have routines that automatically set dim, layer, and text scale, so we never have to worry about dimensions.
"Set it, .........and forget it"

sinc

  • Guest
Re: adding a "foot" mark (')
« Reply #21 on: December 07, 2006, 11:41:38 AM »
Yeah, I think that's the main reason I never discovered this feature.

I created our four Dimstyles years ago, and haven't wanted or needed to create any new ones since.  Since this substyle feature only shows up when you create a new style, and because it seems to be so poorly-documented, I never found it.

It doesn't seem to be a very well-known feature, because I don't think we've gotten many drawings that use it.  Looking through some of the DWGs that were produced by companies we regularly work with, I only found one other company that's definitely using Dimension Substyles.  And I've definitely seen a drawings that have foot ticks at the end of angles.  It tends to blend-in with the Seconds in DMS format angles, so it often isn't very noticeable, but it's there...

Maybe Dimension Substyles are something that are better-known among the metric people, since having an "m" show up in angles is a lot more noticeable than having that foot-tick show up...  We Civil people don't tend to use angular dimensions a whole lot, anyway - we label Deltas of curves and so forth, but those typically use Labels and not Dimensions.